REM
REM Diese Batch-Datei sichert alle *.log Files
REM im Verzeichniss dieser Datei in dem Unterordner Sicherung und erstellt
REM in diesem Ordner mit dem aktuellen Tagesdatum. Im Ordner Sicherung, wird 
REM zustzlich eine Log-Datei (BaUpLogs.log) mit den Sicherungsergebnissen erstellt.
REM
REM Copyright (c) 2006 by B.Flierdl
REM

REM Befehlsausgabe deaktivieren.
echo off

REM Bildschirminhalt lschen.
cls

REM Leerzeile erzeugen.
echo.

REM Pruefe ob Sicherungsorder bereits vorhanden ist, wenn nicht erstelle Ordner Sicherung.
if not exist Sicherung md Sicherung

REM Pruefe ob .log Dateien zur Sicherung vorhanden sind, wenn nicht Abbruch mit Eintrag in BaUpLogs.log.
if not exist *.log goto error_no_logs

REM Wechsel ins Verzeichniss Sicherung.
cd Sicherung

REM Pruefe ob Tagessicherung bereits vorhanden ist, wenn vorhanden Abbruch mit Eintrag in BaUpLogs.log.
if exist %date% goto abbruch

REM Erstelle Unterverzeichniss mit dem aktuellen Tagesdatum.
md %date%

REM Wechsel zum Startverzeichniss zurck.
cd..

REM Kopiere alle Dateien mit der Endung .log in das Verzeichniss mit dem aktuellen Datum
copy *.log .\Sicherung\%date%

REM Wechsel zum Unterverzeichniss Sicherung
cd sicherung

REM Wenn Logfile nicht existiert, lege Datei an.
if not exist BaUpLogs.log echo. > BaUpLogs.log

REM Fge folgenden Eintrag der Logdatei hinzu.
echo %Date% - %Time% : Die Log-Dateien wurden erfolgreich gesichert. >> BaUpLogs.log
echo -------------------------------------------------------------------------------- >> BaUpLogs.log
echo. >> BaUpLogs.log

REM Wechsel zum Startverzeichniss zurck.
cd..

REM Batchdatei verlassen
exit




REM Sprungmarke wenn keine Logsfiles zum sichern vorhanden sind.
:error_no_logs

REM Wechsel ins Verzeichniss Sicherung.
cd Sicherung

REM Wenn Logfile nicht existiert, lege Datei an.
if not exist BaUpLogs.log echo. > BaUpLogs.log

REM Fge folgenden Eintrag der Logdatei hinzu.
echo Warnung! : >> BaUpLogs.log
echo %Date% - %Time% : Die Tagessicherung konnte nicht durchgefhrt werden, >> BaUpLogs.log
echo weil keine *.log Dateien zur Sicherung vorhanden waren. >> BaUpLogs.log
echo -------------------------------------------------------------------------------- >> BaUpLogs.log
echo. >> BaUpLogs.log

REM Batchdatei verlassen.
exit




REM Sprungmarke wenn Tagessicherung bereits vorhanden.
:abbruch

REM Wenn Logfile nicht existiert, lege Datei an.
if not exist BaUpLogs.log echo. > BaUpLogs.log

REM Fge folgenden Eintrag der Logdatei hinzu.
echo Warnung! : >> BaUpLogs.log
echo %Date% - %Time% : Die Tagessicherung konnte nicht durchgefhrt werden, >> BaUpLogs.log
echo weil der Tagessicherungsordner bereits vorhanden war. >> BaUpLogs.log
echo -------------------------------------------------------------------------------- >> BaUpLogs.log
echo. >> BaUpLogs.log

REM Batchdatei verlassen.
exit
